<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Model\Indexer\ScheduledEmails;

use Aheadworks\Followupemail2\Model\ResourceModel\Indexer\ScheduledEmails as ScheduledEmailsIndexerResource;

/**
 * Class AbstractAction
 * @package Aheadworks\Blog\Model\Indexer\ProductPost
 */
abstract class AbstractAction
{
    /**
     * @var ScheduledEmailsIndexerResource
     */
    protected $scheduledEmailsIndexerResource;

    /**
     * @param ScheduledEmailsIndexerResource $scheduledEmailsIndexerResource
     */
    public function __construct(
        ScheduledEmailsIndexerResource $scheduledEmailsIndexerResource
    ) {
        $this->scheduledEmailsIndexerResource = $scheduledEmailsIndexerResource;
    }

    /**
     * Execute action for given ids
     *
     * @param array|int $ids
     * @return void
     */
    abstract public function execute($ids);
}
